import { ConnectorUpdate } from '@web3-react/types';
import { AbstractConnector, UnsupportedChainIdError } from '@web3-react/abstract-connector';
export { UnsupportedChainIdError };
export declare const URI_AVAILABLE = "URI_AVAILABLE";
export declare class UserRejectedRequestError extends Error {
    constructor();
}
export interface WalletConnectConnectorArguments {
    rpc?: {
        [chainId: number]: string;
    };
    infuraId?: string;
    bridge?: string;
    qrcode?: boolean;
}
export declare class WalletConnectConnector extends AbstractConnector {
    private rpc?;
    private infuraId?;
    private bridge?;
    private qrcode?;
    private provider;
    walletConnector: any;
    constructor({ rpc, infuraId, bridge, qrcode }: WalletConnectConnectorArguments);
    private handleConnect;
    private handleNetworkChanged;
    private handleChainChanged;
    private handleAccountsChanged;
    private handleClose;
    activate(): Promise<ConnectorUpdate>;
    getProvider(): Promise<any>;
    getChainId(): Promise<number>;
    getAccount(): Promise<null | string>;
    deactivate(): void;
    close(): Promise<void>;
}
